Debian Bug report logs - #165699
php4: apache segfault w/ php4 and mysql,imap loaded together related to #165563

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: David Raufeisen <david@fortyoz.org>

Date: Mon, 21 Oct 2002 08:33:24 UTC

Severity: grave

Tags: sid

Merged with 165718, 165719

Fixed in version php4/4:4.2.3-5

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Conrad <adconrad@0c3.net>, php4@packages.qa.debian.org:
Bug#165699; Package php4. Full text and rfc822 format available.

Acknowledgement sent to David Raufeisen <david@fortyoz.org>:
New Bug report received and forwarded. Copy sent to Adam Conrad <adconrad@0c3.net>, php4@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Raufeisen <david@fortyoz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: php4: apache segfault w/ php4 and mysql,imap loaded together related to #165563
Date: Mon, 21 Oct 2002 00:53:04 -0700
Package: php4
Version: 4:4.2.3-3
Severity: normal


Hello,

Same situation as bug #165563 that was reported closed, I don't think the new
glibc ( the one i'm using 2.3.1-2 ) solved his problem, he probably deleted one
of the modules.

Same backtrace .. dies in strcmp, but works when only mysql is loaded or only
imap is loaded.

Of course it would be nice to load both :)

Regards,

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux prime 2.2.19 #1 Fri Oct 19 18:24:43 PDT 2001 i586
Locale: LANG=C, LC_CTYPE=C

Versions of packages php4 depends on:
ii  apache-common                1.3.26-1.1  Support files for all Apache webse
ii  coreutils [fileutils]        4.5.2-1     The GNU core utilities
ii  fileutils                    4.5.2-1     GNU file management utilities
ii  libbz2-1.0                   1.0.2-1     A high-quality block-sorting file 
ii  libc6                        2.3.1-2     GNU C Library: Shared libraries an
ii  libdb2                       2:2.7.7.0-8 The Berkeley database routines (ru
ii  libexpat1                    1.95.2-9    XML parsing C library - runtime li
ii  libmm12                      1.2.1-2     Shared memory library - runtime
ii  libpam0g                     0.76-6      Pluggable Authentication Modules l
ii  libpcre3                     3.4-1.1     Philip Hazel's Perl Compatible Reg
ii  libssl0.9.6                  0.9.6g-9    SSL shared libraries
ii  mime-support                 3.19-1      MIME files 'mime.types' & 'mailcap
ii  zlib1g                       1:1.1.4-6   compression library - runtime

-- no debconf information




Severity set to `grave'. Request was from "Adam Conrad" <adconrad@0c3.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from "Adam Conrad" <adconrad@0c3.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `php4' to `libc6'. Request was from "Adam Conrad" <adconrad@0c3.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 165699 165718 165719. Request was from "Adam Conrad" <adconrad@0c3.net> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to David Raufeisen <david@fortyoz.org>:
Bug#165699. Full text and rfc822 format available.

Message #16 received at 165699-submitter@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: <165719-submitter@bugs.debian.org>, <165718-submitter@bugs.debian.org>, <165699-submitter@bugs.debian.org>
Cc: <control@bugs.debian.org>
Subject: Bug#165719, 165718, 165699: php4 possibly causes apache to stop functioning
Date: Mon, 21 Oct 2002 05:17:27 -0600
severity 165699 grave
tags 165699 sid
reassign 165719 libc6
reassign 165718 libc6
reassign 165699 libc6
merge 165719 165718 165699
thanks

If you downgrade libc6 to the previous version (or the version in
testing), your problems should go away.  This appears to be a libc6
partial upgrade bug.

... Adam

--
backup [n] (bak'up): The duplicate copy of crucial data that no one
                     bothered to make; used only in the abstract.

1024D/C6CEA0C9  C8B2 CB3E 3225 49BB 5ED2  0002 BE3C ED47 C6CE A0C9




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#165699; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to MH <mhummel@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #21 received at 165699@bugs.debian.org (full text, mbox):

From: MH <mhummel@debian.org>
To: 165699@bugs.debian.org
Subject: affirmation of php4/libc related bug
Date: Sat, 26 Oct 2002 20:50:01 +0200
[Message part 1 (text/plain, inline)]
The hypothesis about the #165563 bug is correct. I "forgot" to reinstall
php4-imap. Trying with php4-mysql, php4-imap getting segfault like
before.

Fortunately, I don't need php4-imap; but anyway ...

I don't reopen the bug, but can affirm the problem as expressed in
the present bug.

Bye,

MH
   

-- 
/"\ ASCII Ribbon Campaign
\ / No proprietary formats in attachments without request
 X  i.e. *NO* WORD, POWERPOINT or EXCEL documents
/ \ Respect Open Standards
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#165699; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to GOTO Masanori <gotom@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #26 received at 165699@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.or.jp>
To: MH <mhummel@debian.org>, 165699@bugs.debian.org, 165719@bugs.debian.org, gotom@debian.org
Subject: Re: Bug#165699: affirmation of php4/libc related bug
Date: Mon, 28 Oct 2002 17:44:33 +0900
At Sat, 26 Oct 2002 20:50:01 +0200,
MH wrote:
> The hypothesis about the #165563 bug is correct. I "forgot" to reinstall
> php4-imap. Trying with php4-mysql, php4-imap getting segfault like
> before.
> 
> Fortunately, I don't need php4-imap; but anyway ...
> 
> I don't reopen the bug, but can affirm the problem as expressed in
> the present bug.

I also check the current php4, then I don't get any segv.
Still someone gets segv? I close this bug soon.

Regards,
-- gotom



Message sent on to David Raufeisen <david@fortyoz.org>:
Bug#165699. Full text and rfc822 format available.

Message #29 received at 165699-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: 165699-submitter@bugs.debian.org, 165718-submitter@bugs.debian.org, 165719-submitter@bugs.debian.org, 165960-submitter@bugs.debian.org
Subject: Re: php4-imap segfaults with new glibc
Date: Mon, 28 Oct 2002 23:18:17 -0600
[Message part 1 (text/plain, inline)]
The php4-imap package is taunting me now.  No matter what I try, I am
not able to reproduce the segfault-on-startup bug with
apache+php4+php4-imap.  Can someone please confirm for me that they are
still able to reproduce this bug with libc6 2.3.1-3 on i386?

If it is still reproduceable, I'm going to need a LOT of information
about package versions in order to pin this down -- not just
dependencies, but every library loaded by apache at the time of the
crash.  Something's different between my system and yours...

Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to glibc@packages.qa.debian.org:
Bug#165699; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to David Raufeisen <david@fortyoz.org>:
Extra info received and filed, but not forwarded. Copy sent to glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #34 received at 165699-quiet@bugs.debian.org (full text, mbox):

From: David Raufeisen <david@fortyoz.org>
To: Steve Langasek <vorlon@netexpress.net>, 165699-quiet@bugs.debian.org
Subject: Re: Bug#165699: php4-imap segfaults with new glibc
Date: 29 Oct 2002 00:15:52 -0600
Hello,

Well the box I had the problem on was running 2.2.19 and reiserfs, which
had worked well for a few years but decided to eat itself a few days
after reporting the bug.

It only appeared when mysql and imap modules for php were both loaded,
and only in apache, command line version was fine.

The box is now running woody ( ext3 now :> ), so I am unable to
reproduce.

Sorry.

On Mon, 2002-10-28 at 23:18, Steve Langasek wrote:
> The php4-imap package is taunting me now.  No matter what I try, I am
> not able to reproduce the segfault-on-startup bug with
> apache+php4+php4-imap.  Can someone please confirm for me that they are
> still able to reproduce this bug with libc6 2.3.1-3 on i386?
> 
> If it is still reproduceable, I'm going to need a LOT of information
> about package versions in order to pin this down -- not just
> dependencies, but every library loaded by apache at the time of the
> crash.  Something's different between my system and yours...
> 
> Steve Langasek
> postmodern programmer

-- 
David Raufeisen <david@fortyoz.org>




Message sent on to David Raufeisen <david@fortyoz.org>:
Bug#165699. Full text and rfc822 format available.

Message #37 received at 165699-submitter@bugs.debian.org (full text, mbox):

From: horape@tinuviel.compendium.net.ar
To: 165699-submitter@bugs.debian.org
Subject: don't close this yet
Date: Sat, 2 Nov 2002 00:20:19 -0300
I've had some sigsegv while starting apache that seems to be like what this bug reports.

(Quick and dirtly fixed the box were i saw that, as I needed it working,
tracking it in the home box)

Tnx,
					HoraPe
---
Horacio J. Peña
horape@compendium.com.ar
horape@uninet.edu
bofh@puntoar.net.ar
horape@hcdn.gov.ar



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#165699; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to "Emil S. Hansen" <esh@pop3.bit.dk>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #42 received at 165699@bugs.debian.org (full text, mbox):

From: "Emil S. Hansen" <esh@pop3.bit.dk>
To: 165699@bugs.debian.org
Subject: I have this bug too
Date: Tue, 19 Nov 2002 10:21:40 +0100
I have a machine with this bug too. If you need info, please tell me
what info. I have currently uninstallede php4-imap to make it run (kinda
production :)).
-- 
Best Regards
Emil S. Hansen - esh@pop3.bit.dk - ESH14-DK
UNIX Administrator, Berlingske IT - www.bit.dk
PGP: 109375FA/ABEB 1EFA A764 529E 82B5  0943 AD3B 1FC2 1093 75FA



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#165699; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Jeff Bailey <jbailey@nisa.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #47 received at 165699@bugs.debian.org (full text, mbox):

From: Jeff Bailey <jbailey@nisa.net>
To: "Emil S. Hansen" <esh@pop3.bit.dk>, 165699@bugs.debian.org
Subject: Re: Bug#165699: I have this bug too
Date: 19 Nov 2002 07:19:00 -0500
[Message part 1 (text/plain, inline)]
Are you on i386?  If yes, I have a completely untested glibc packages
updated to recent CVS I'd like you to try (I want to make sure we're not
chasing a bug that's already fixed upstream).  Let me know and I'll send
you the link.

On Tue, 2002-11-19 at 04:21, Emil S. Hansen wrote:
> I have a machine with this bug too. If you need info, please tell me
> what info. I have currently uninstallede php4-imap to make it run (kinda
> production :)).
> -- 
> Best Regards
> Emil S. Hansen - esh@pop3.bit.dk - ESH14-DK
> UNIX Administrator, Berlingske IT - www.bit.dk
> PGP: 109375FA/ABEB 1EFA A764 529E 82B5  0943 AD3B 1FC2 1093 75FA
-- 
When you get to the heart,
use a knife and fork.
 - From instructions on how to eat an artichoke.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#165699; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #52 received at 165699@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: 165699@bugs.debian.org
Cc: Adam Conrad <adconrad@0c3.net>, mb@os.datafx.com.au, Michel Lobert <lobert@gompie.mine.nu>
Subject: progress on the glibc 2.3 / php4 issues
Date: Sun, 15 Dec 2002 12:49:56 -0600
[Message part 1 (text/plain, inline)]
I've made some progress into figuring out the source of the glibc 2.3,
apache, php4, php4-imap segfaults.  I suspect that php4 and openssl are
ultimately at fault (at least, a change with regards to these two
packages seems to correct the error), but I'm not certain, so I'm 
sending a follow-up to the bug report to get feedback before reassigning
back to PHP4.

What I noticed in the startup behavior of Apache is that there are two
cycles of loading/unloading the Apache DSOs.  After loading the DSOs
once, Apache then unloads them (God knows why), and loads them again.
The unload (dlclose) also causes all DSO-specific dependency libs to be
unloaded -- with the singular exception of OpenSSL's libcrypto.  This
horrid library has probably been inadvertently referenced by Apache
itself, because it contains symbols with such original names as
'string_to_hex', 'crypt', and 'MD5_Init'.  Five to one says that 'crypt'
is the culprit somehow.

Now, it's entirely possible that the unloading of the library has
nothing at all to do with the final segfaults people have been
experiencing; at least, I haven't been able to figure out how glibc 2.3
would cause this problem if glibc 2.2 didn't.  Nevertheless, it did set
me on the path to a fix, as I tried to recompile libphp4.so without that
ridiculous OpenSSL dependency.

Adam, I don't know if you were aware of this (I was not), but upstream
has overloaded the meaning of the --with-ssl configure option such
that it not only controls whether OpenSSL should be used when linking
other extensions (e.g., snmp), it also enables an 'openssl' extension
that *can't be built as a shared extension*.  This means that the only
way to get rid of libphp4's dependency on libcrypto is to recompile it
without OpenSSL support -- which also means that the snmp extension
can't be built at the same time.  I want to discuss with you how to best
solve this packaging problem, both in the short term and in the long
term, before trying to upload any sort of a "hotfix".

Note, BTW, that just rebuilding php4 against glibc 2.3 does not fix the
problem. Only compiling it without OpenSSL support fixes the problem.

Michael, thank you for the use of your machine in tracking this down.
There is a libphp4.so binary that has been unceremoniously dropped in
your /usr/lib/apache/1.3/ directory which appears to do the trick as far
as getting Apache running.  Since it may still be a few weeks before
everything is sorted out in unstable, I hope this file might prove
useful to you in the meantime.

Michel, thank you also for your offer.  As you can see, it turned out to
be unnecessary, but if you would also like a copy of the fixed
libphp4.so binary (it's too raw yet to be distributed in a package), or
if you would like me to guide you through building a fixed local
php4 package, just let me know.

-- 
Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org:
Bug#165699; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Jeff Bailey <jbailey@nisa.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>, glibc@packages.qa.debian.org. Full text and rfc822 format available.

Message #57 received at 165699@bugs.debian.org (full text, mbox):

From: Jeff Bailey <jbailey@nisa.net>
To: Steve Langasek <vorlon@netexpress.net>, 165699@bugs.debian.org
Cc: Adam Conrad <adconrad@0c3.net>, mb@os.datafx.com.au, Michel Lobert <lobert@gompie.mine.nu>
Subject: Re: Bug#165699: progress on the glibc 2.3 / php4 issues
Date: Sun, 15 Dec 2002 11:50:23 -0800
On Sun, Dec 15, 2002 at 12:49:56PM -0600, Steve Langasek wrote:

> I've made some progress into figuring out the source of the glibc 2.3,
> apache, php4, php4-imap segfaults.  I suspect that php4 and openssl are
> ultimately at fault (at least, a change with regards to these two
> packages seems to correct the error), but I'm not certain, so I'm 
> sending a follow-up to the bug report to get feedback before reassigning
> back to PHP4.

Wow.  If it does turn out to be a php4 problem, aj has told me that it's
okay to fill our conflicts lines with other packages so whoever winds up
with this bug, please make sure that debian-glibc@lists.debian.org knows
which version to conflict against.

Thanks for hacking this, Steve!

Tks,
jeff Bailey



Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to David Raufeisen <david@fortyoz.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 165699-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 165699-close@bugs.debian.org
Subject: Bug#165699: fixed in php4 4:4.2.3-5
Date: Sun, 15 Dec 2002 23:47:41 -0500
We believe that the bug you reported is fixed in the latest version of
php4, which is due to be installed in the Debian FTP archive:

caudium-php4_4.2.3-5_i386.deb
  to pool/main/p/php4/caudium-php4_4.2.3-5_i386.deb
php4-cgi_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-cgi_4.2.3-5_i386.deb
php4-curl_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-curl_4.2.3-5_i386.deb
php4-dev_4.2.3-5_all.deb
  to pool/main/p/php4/php4-dev_4.2.3-5_all.deb
php4-domxml_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-domxml_4.2.3-5_i386.deb
php4-gd_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-gd_4.2.3-5_i386.deb
php4-imap_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-imap_4.2.3-5_i386.deb
php4-ldap_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-ldap_4.2.3-5_i386.deb
php4-mcal_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-mcal_4.2.3-5_i386.deb
php4-mhash_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-mhash_4.2.3-5_i386.deb
php4-mysql_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-mysql_4.2.3-5_i386.deb
php4-odbc_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-odbc_4.2.3-5_i386.deb
php4-pear_4.2.3-5_all.deb
  to pool/main/p/php4/php4-pear_4.2.3-5_all.deb
php4-recode_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-recode_4.2.3-5_i386.deb
php4-snmp_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-snmp_4.2.3-5_i386.deb
php4-sybase_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-sybase_4.2.3-5_i386.deb
php4-xslt_4.2.3-5_i386.deb
  to pool/main/p/php4/php4-xslt_4.2.3-5_i386.deb
php4_4.2.3-5.diff.gz
  to pool/main/p/php4/php4_4.2.3-5.diff.gz
php4_4.2.3-5.dsc
  to pool/main/p/php4/php4_4.2.3-5.dsc
php4_4.2.3-5_i386.deb
  to pool/main/p/php4/php4_4.2.3-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 165699@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated php4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 15 Dec 2002 19:42:43 -0600
Source: php4
Binary: php4-cgi php4-sybase php4-recode php4-dev php4-snmp php4-odbc php4-xslt php4-domxml php4-mysql php4-gd php4-ldap php4-imap php4-curl php4 php4-pear php4-mcal caudium-php4 php4-mhash
Architecture: source i386 all
Version: 4:4.2.3-5
Distribution: unstable
Urgency: low
Maintainer: Adam Conrad <adconrad@0c3.net>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 caudium-php4 - A server-side, HTML-embedded scripting language
 php4       - A server-side, HTML-embedded scripting language
 php4-cgi   - A server-side, HTML-embedded scripting language
 php4-curl  - CURL module for php4
 php4-dev   - Files for PHP4 module development
 php4-domxml - XMLv2 module for php4
 php4-gd    - GD module for php4
 php4-imap  - IMAP module for php4
 php4-ldap  - LDAP module for php4
 php4-mcal  - MCAL calendar module for php4
 php4-mhash - MHASH module for php4
 php4-mysql - MySQL module for php4
 php4-odbc  - ODBC module for php4
 php4-pear  - PEAR - PHP Extension and Application Repository
 php4-recode - Character recoding module for php4
 php4-snmp  - SNMP module for php4
 php4-sybase - Sybase / MS SQL Server module for php4
 php4-xslt  - XSLT module for php4
Closes: 165699 165718 165719 166414 169610 169769
Changes: 
 php4 (4:4.2.3-5) unstable; urgency=low
 .
   * Fix (snip, snip) the upstream build scripts, so that libphp4.so
     isn't worthlessly linked against the problematic openssl libs
     (closes: #165699, #165718, #165719, #166414).
   * Update config.{sub,guess} so that the package builds on mips
     platforms (closes #173218)
   * Replace libc-client-ssl2001-dev with libc-client2002-dev in build
     dependencies, fixing various php4-imap segfaults (closes: #169610,
     #169769).
Files: 
 e1a1ce346002380d5688ebdf226ef3e0 1529 web optional php4_4.2.3-5.dsc
 29bcf85bdebec745d05bde83ba63ae9d 117708 web optional php4_4.2.3-5.diff.gz
 508a0998445e9d26e2381afca8fb5f7c 615242 web optional php4_4.2.3-5_i386.deb
 d914423739cb1939782e69e5398e6495 11898 web optional php4-curl_4.2.3-5_i386.deb
 8b96abed4b2b44243fd5832cbfe5a30b 23120 web optional php4-domxml_4.2.3-5_i386.deb
 b5743c005c3515d66c3926817fa28afb 24002 web optional php4-gd_4.2.3-5_i386.deb
 471b63c3863801b6df5e8d4339fcbbaf 27346 web optional php4-imap_4.2.3-5_i386.deb
 53698c1dbc9f436a28539fc03ad30f34 14906 web optional php4-ldap_4.2.3-5_i386.deb
 c43815493bafa24aec4301bf2a966f90 13088 web optional php4-mcal_4.2.3-5_i386.deb
 baa80bf40e09d02706946db32c72b7f3 5310 web optional php4-mhash_4.2.3-5_i386.deb
 482923e17e05f2a70a26ced410e87c7e 14980 web optional php4-mysql_4.2.3-5_i386.deb
 8b37ef12eba52d36add2b9d4324bde32 20662 web optional php4-odbc_4.2.3-5_i386.deb
 65774931b092969642a22ef6cb120a2f 4730 web optional php4-recode_4.2.3-5_i386.deb
 1cc1a9d94618679d47f083ebec6d9127 10780 web optional php4-xslt_4.2.3-5_i386.deb
 7843fa90f4ecf16ed2da1b6457a4dd66 6448 web optional php4-snmp_4.2.3-5_i386.deb
 7de1f759ef270ed965b2c60357a47146 13340 web optional php4-sybase_4.2.3-5_i386.deb
 226578491781ecdfd66520f60ccb9831 1010426 web optional php4-cgi_4.2.3-5_i386.deb
 c497786d434ecf57b9dab647051fc5e2 612402 web optional caudium-php4_4.2.3-5_i386.deb
 fed19889e277c1675b0e9b4c969b501a 327150 web optional php4-dev_4.2.3-5_all.deb
 c1b043a3fdbec9624ab81628b41d5292 215456 web optional php4-pear_4.2.3-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE9/Vf/KN6ufymYLloRAs+aAJ0UjGIpi0jo58yVYzhSXk4bDQGafACg1DUs
oxxn0G6+Gi6vPplaFgCMX2s=
=dYha
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:53:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.